%
% anyremote configuration file for  customization of GUI of Java client. (Server-mode)
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Customize client 3
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=Server
GuiAppDesc=Example of possible customization of Java Client. Shows how to set different layouts.

[Protocol]=Server

(Init)=Include($(CfgDir)/Utils/aliases-server.cfg);
(Connect)=Set(parameter,debug,on);\
	Set(icons,Customize-3,1,vol_down,2,mute,3,vol_up,4,rewind,5,play,6,forward,7,prev,8,stop,9,next,*,question,0,pause,#,no);\
	Set(layout,default);\
	Set(status,test);\
	Set(title,123456789012345678901234567890123456789012345678901234567890);\
	Make(var,space,by_value,0);\
	Make(var,isize,by_value,0);\
	Set(fullscreen,on);\
	Get(icon_size);

IconSize($$)=Make(var,isize,by_value,$(Index));

Back=Set(text,close);

1=Make(var,isize,expr $(isize) + 1);Set(parameter,icon_size,$(isize));Get(icon_size);
2=Set(volume,20);Set(status,20)
3=Make(var,isize,expr $(isize) - 1);Set(parameter,icon_size,$(isize));Get(icon_size);

4=Make(var,space,expr $(space) + 1);Set(parameter,icon_padding,$(space));
5=Set(volume,50);Set(status,50)
6=Make(var,space,expr $(space) - 1);Set(parameter,icon_padding,$(space));

7=Set(layout,7x1,noticker);
8=Set(volume,80);Set(status,80)
9=Set(layout,default,noticker);

* *=Set(text,replace,Help,Just press buttons\nand inspect results.\nUse 2,5,8 to\nset volume value)
0=Set(fullscreen,on);
#=Set(fullscreen,off);

[End]
